<html>
<head>
</head>
<body>
<h1>json-c API documentation</h1>

For general information, see <a href="https://github.com/json-c/json-c/wiki">the json-c wiki</a>.  There you can also find a link to the download page for source tarballs.

For information about building json-c, see the <a href="https://github.com/json-c/json-c/blob/master/README.md">README file</a>.

<h2>Versions:</h2>

<p>Current release: <a href="json-c-current-release/doc/html/index.html">json-c-0.15</a>
<br>Best starting points:
<a href="json-c-current-release/doc/html/json__object_8h.html">json_object.h</a> or
<a href="json-c-current-release/doc/html/json__tokener_8h.html">json_tokener.h</a>

You can also look at the tests in <a href="https://github.com/json-c/json-c/blob/json-c-0.15/tests/">the tests directory</a> for some examples.<br>
One of the simplest examples is
<a href="https://github.com/json-c/json-c/blob/json-c-0.15-20200726/tests/test2.c">test2.c</a>.
</p>

<p>Note: for the most recent development docs <a href="https://github.com/json-c/json-c">clone the source</a> and run:

<pre>sed -e's/@CMAKE_CURRENT_BINARY_DIR@/doc/' doc/Doxyfile.in | doxygen -</pre>

Then look in the doc/html directory.
</p>


<hr>

<h3>All releases</h3>

<ul>

<li><a href="json-c-0.15/doc/html/index.html">json-c-0.15</a>
<br>Best starting points:
<a href="json-c-0.15/doc/html/json__object_8h.html">json_object.h</a> or
<a href="json-c-0.15/doc/html/json__tokener_8h.html">json_tokener.h</a>
</li>

<li><a href="json-c-0.14/doc/html/index.html">json-c-0.14</a>
<br>Best starting points:
<a href="json-c-0.14/doc/html/json__object_8h.html">json_object.h</a> or
<a href="json-c-0.14/doc/html/json__tokener_8h.html">json_tokener.h</a>
</li>

<li><a href="json-c-0.13.1/doc/html/index.html">json-c-0.13.1</a>
<br>Best starting points:
<a href="json-c-0.13.1/doc/html/json__object_8h.html">json_object.h</a> or
<a href="json-c-0.13.1/doc/html/json__tokener_8h.html">json_tokener.h</a>
</li>

<li><a href="json-c-0.13/doc/html/index.html">json-c-0.13</a>
<br>Best starting points:
<a href="json-c-0.13/doc/html/json__object_8h.html">json_object.h</a> or
<a href="json-c-0.13/doc/html/json__tokener_8h.html">json_tokener.h</a>
</li>

<li><a href="json-c-0.12.1/doc/html/index.html">json-c-0.12.1</a>
<br>Best starting points:
<a href="json-c-0.12.1/doc/html/json__object_8h.html">json_object.h</a> or
<a href="json-c-0.12.1/doc/html/json__tokener_8h.html">json_tokener.h</a>

</li>

<li><a href="json-c-0.12/doc/html/index.html">json-c-0.12</a>
<br>Best starting points:
<a href="json-c-0.12/doc/html/json__object_8h.html">json_object.h</a> or
<a href="json-c-0.12/doc/html/json__tokener_8h.html">json_tokener.h</a>

</li>

<li><a href="json-c-0.11/doc/html/index.html">json-c-0.11</a>
<br>Best starting points:
<a href="json-c-0.11/doc/html/json__object_8h.html">json_object.h</a> or
<a href="json-c-0.11/doc/html/json__tokener_8h.html">json_tokener.h</a>

</li>

<li><a href="json-c-0.10/doc/html/index.html">json-c-0.10 release</a>
<br>Best starting points:
<a href="json-c-0.10/doc/html/json__object_8h.html">json_object.h</a> or
<a href="json-c-0.10/doc/html/json__tokener_8h.html">json_tokener.h</a>

</li>
<li><a href="http://oss.metaparadigm.com/json-c/doc/html/annotated.html">0.9 and earlier</a></li>
</ul>

</body>
</html>
